allprojects {
    repositories {
        google()
        mavenCentral()
    }
}

val newBuildDir: Directory = rootProject.layout.buildDirectory.dir("../../build").get()
rootProject.layout.buildDirectory.value(newBuildDir)

subprojects {
    val newSubprojectBuildDir: Directory = newBuildDir.dir(project.name)
    project.layout.buildDirectory.value(newSubprojectBuildDir)
}
subprojects {
    project.evaluationDependsOn(":app")
}

tasks.register<Delete>("clean") {
    delete(rootProject.layout.buildDirectory)
}

plugins {
    // The Flutter Gradle Plugin is managed by the Flutter SDK, so we don't specify a version.
    id("dev.flutter.flutter-gradle-plugin") apply false
    // The Android Gradle Plugin version is also managed, so we remove the explicit version.
    id("com.android.application") apply false
    // The Kotlin plugin version is also managed.
    id("org.jetbrains.kotlin.android") apply false
    // اضافه کردن این خط برای تعریف پلاگین گوگل سرویسز
    id("com.google.gms.google-services") version "4.4.1" apply false
}
